Bug 389291 - Xrandr shows a non-existent monitor is attached, confuses gnome desktop
Xrandr shows a non-existent monitor is attached, confuses gnome desktop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 07:02 EST by Klaasjan Brand
Modified: 2009-01-09 02:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:27:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg logfile as requested (110.03 KB, text/plain)
2007-11-19 14:02 EST, Klaasjan Brand
no flags Details
xorg.conf file for ATI 9250 radeon (2.31 KB, text/plain)
2007-11-27 18:40 EST, Jeff Krebs
no flags Details

  None (edit)
Description Klaasjan Brand 2007-11-18 07:02:50 EST
Description of problem:

On a system with an Asus Radeon X800 card with 2 DVI output connectors, the
Xrandr extension reports a "ghost" monitor on the second head.

The primary monitor is correctly configured at 1600x1200, but the non-existent
monitor seems to confuse the gnome desktop manager which uses the resolution set
on the second head. 

Version-Release number of selected component (if applicable):

Default F8 xorg installation.

How reproducible:

Anytime. 

Steps to Reproduce:
1. Just start X.
2. executing "xrandr" in a terminal shows a second monitor which isn't there.
3.
  
Actual results:

Desktop set to 1600x1200 with the gnome menu bars confined to a 1360x768 window.
Mouse cursor can cover the entire screen.

Expected results:

No "ghost" monitors in xrandr output and desktop and gnome session using full
1600x1200.

Additional info:

Using xrandr to disable the second head (xrandr --output DVI-1 --off) causes the
gnome session to behave normally.
Comment 1 Matěj Cepl 2007-11-19 10:35:36 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Klaasjan Brand 2007-11-19 14:02:23 EST
Created attachment 263821 [details]
Xorg logfile as requested
Comment 3 Klaasjan Brand 2007-11-19 14:03:15 EST
Running without xorg.conf doesn't solve this problem.
Comment 4 Jeff Krebs 2007-11-27 18:40:06 EST
Created attachment 270621 [details]
xorg.conf file for ATI 9250 radeon
Comment 5 Jeff Krebs 2007-11-27 18:49:27 EST
I'm having the same issue with Fedora 8, an ATI Radeon card (3 ports: VGA (in
use), DVI, and S-Video), and an Acer AL1916W LCD monitor at 1440X900.

xrandr shows DVI-0 at 1360X768.

I noticed the issue with mplayer set at fullscreen; the display would leave part
of the desktop uncovered (right, bottom).

"xrandr --output DVI-0 --off" removes the confusion. and mplayer seems to work fine.

The issue appears on runlevel 5 (with gdm) and runlevel 3 (with startx)

I attached my xorg.conf, if you need it.
Comment 6 zephod 2007-11-29 22:16:01 EST
I have the same problem that manifests itself differently. 

When I first logged in after a fresh install of F8, the background was full
screen but the top menu bar only extended aboyt 3/4 the width of the screen. The
bottom task bar was the same length but it was only about 3/4 the way down the
screen, not at the bottom. Moving the bottom task bar caused it to snap into
place at the bottom and expand to fill the full width of the screen. I was
unable to do the sam ewith the menu bar. 

In addition, when I logged out, the GDM screen was only about 3/4 the size of
the available area. Next time I rebooted, the graphical fedora boot screen was
the same size as the GDM screen. The GRUB splash screen is full size.

Using the xrandr --output DVI-1 --off appears to correct the problem.
Comment 7 Dave Airlie 2007-11-29 22:24:45 EST
please try with no xorg.conf.. I think it is picking up the xorg.conf monitor
section for the output with no monitor plugged in..
Comment 8 zephod 2007-11-29 23:01:28 EST
Moving xorg.conf out of the way makes no difference. The boot screen, the GDM
screen and the logged in screen all look the same as before.

BTW. My graphics card is an ATI Radeon X800.
Comment 9 Giuseppe Coviello 2008-05-17 14:24:13 EDT
Hi, I had the same problem and I found a simple workaround adding the row 

...
Option "PanelSize" "1024x768"  
...

in the Device section; you have, of course, to change "1024x768" with your correct resolution.
Comment 10 Dave Airlie 2008-05-19 20:52:08 EDT
-ETOOMANYPEOPLEONONEBUG

I need a log file either from the F8 updates-testing driver or the F9 updates
driver. 

If someone can tell me if they still see this problem and have the logs it would
be great.

Comment 11 Bug Zapper 2008-11-26 03:33:08 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 02:27:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.